POST   https://api.d-tools.com/SI/Publish/DeleteTasks

Delete existing tasks in SI (BETA).

Request Information

URI Parameters

None.

Body Parameters

Delete Task.

DeleteTasksRequest
NameDescriptionTypeAdditional information
Ids

Ids of tasks to delete (Required and must match existing task ids in SI) (BETA).

Collection of string

None.

Request Formats

application/json, text/json

Sample:
{
  "Ids": [
    "sample string 1",
    "sample string 2"
  ]
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DeleteTasksRequest'.

application/xml, text/xml

Sample:
<DeleteTasksRequest xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Ids>
    <string>sample string 1</string>
    <string>sample string 2</string>
  </Ids>
</DeleteTasksRequest>

Response Information

Resource Description

PublishResponse
NameDescriptionTypeAdditional information
MessageId

Check the status of the transaction using this Message Id

globally unique identifier

None.

Message

Success Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "MessageId": "019eb00d-d812-4440-9c9e-0a45208cca91",
  "Message": "sample string 2"
}

application/xml, text/xml

Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <MessageId>019eb00d-d812-4440-9c9e-0a45208cca91</MessageId>
  <Message>sample string 2</Message>
</PublishResponse>